INET6D(8)

NAME
inet6d - super-daemon for IPv6 tcp/udp services

SYNOPSIS
inet6d [-d] [-R rate] [config-file]

DESCRIPTION
inet6d is IPv6 variant of inetd(8).

-d  Enable debugging facility by setting SO_DEBUG socket option.

-R rate
    inet6d implements prevention mechanism for denial-of-service attack. By default, inet6d forks no more than 40 servers per a service. -R gives a way to modify the number of simultaneous fork operations allowed for a service.

config-file
    Alternate location to find the config file.

  IPsec
The implementation includes tiny hack to support IPsec policy setting for each of the socket. A special form of comment line, starting with “#@”, will work as policy specifier. The content of the above comment line will be treated as IPsec policy string, as described in ipsec_set_policy(3). A #@ line will affect all the following lines in inet6d.conf, so you may want to reset IPsec policy by using a comment line with #@ only (with no policy string).

If invalid IPsec policy string appears on inet6d.conf, inet6d will leave error message using syslog(3), and terminates itself.

  FAITH support
inet6d has a support for faith(4) and faithd(8). If “tcp/faith” is specified as the protocol (instead of “tcp”), the socket will be marked for use with faithd(8), and setsockopt(2) will be issued with IPV6_FAITH. See faith(4) for details.

FILES
/usr/local/v6/etc/inet6d.conf
    The default configuration file.

SEE ALSO
inetd(8), inetd.conf(5), services(5)

HISTORY
The inet6d command first appeared in WIDE Hydrangea IPv6 protocol stack kit. IPsec hack was made by KAME project, in 1999.